Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessibleToolButton Class Reference

The QAccessibleToolButton class implements the QAccessibleInterface for tool buttons. More...

    #include <QAccessibleToolButton>

Inherits QAccessibleButton.

- List of all members, including inherited members

### Public Types

- enum ToolButtonElements { ToolButtonSelf, ButtonExecute, ButtonDropMenu }

### Public Functions

- QAccessibleToolButton ( QWidget * w, Role role )

- 15 public functions inherited from QAccessibleInterface

### Static Public Members

- 8 static public members inherited from QAccessible

### Protected Functions

- bool isSplitButton () const
- QToolButton * toolButton () const

- 1 protected function inherited from QAccessibleButton
- 7 protected functions inherited from QAccessibleWidget

## Detailed Description

The QAccessibleToolButton class implements the QAccessibleInterface for tool buttons.

## Member Type Documentation

### enum QAccessibleToolButton::ToolButtonElements

This enum identifies the components of the tool button.

`QAccessibleToolButton::ToolButtonSelf` | The tool button as a whole.
`QAccessibleToolButton::ButtonExecute` | The button.
`QAccessibleToolButton::ButtonDropMenu` | The drop down menu.

## Member Function Documentation

### QAccessibleToolButton::QAccessibleToolButton ( QWidget * w, Role role )

Creates a QAccessibleToolButton object for w. role is propagated to the QAccessibleWidget constructor.

### bool QAccessibleToolButton::isSplitButton () const `[protected]`

Returns true if this tool button is a split button.

### QToolButton * QAccessibleToolButton::toolButton () const `[protected]`

Returns the button.